(function($, Drupal, undefined) {
  Drupal.behaviors.userCentricsBehavior = {
    attach: function (context, settings) {

      // Create observer to track new script-nodes and call Drupal.attachBehaviors() after loading.
      var MutationObserver    = window.MutationObserver || window.WebKitMutationObserver;
      var obsConfig           = { childList: true, characterData: true, attributes: true, subtree: true };
      var myObserver          = new MutationObserver(mutationHandler);
      myObserver.observe(document, obsConfig);

      function mutationHandler(mutationRecords) {
        mutationRecords.forEach(function(mutation) {
          var nodes = $(mutation.addedNodes);
          if (nodes.length > 0) {
            node = $(nodes[0]);
            if (node.is('script') && node.attr('type') == 'text/javascript') {
              $(node).once('uc-script').bind('load', function() {
                console.log('UC: ' + $(this).attr('src') + ' loaded.');
                Drupal.attachBehaviors();
              });
            }
          }
        });
      }

    }
  };
}) (jQuery, Drupal);

